### Hierarchy

- SearchRequestRepository

### Implemented by

- SearchRequestRepositoryImpl

## Index

### Methods

- create
- deleteById
- getAllSearchRequests
- getSearchRequestByOwner
- getSearchRequestByOwnerAndId

## Methods

### create

- create(owner: string, searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in repository/search/SearchRequestRepository.ts:5

  #### Parameters

  - ##### owner: string

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### deleteById

- deleteById(owner: string, id: number): Promise<number>

- - Defined in repository/search/SearchRequestRepository.ts:7

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<number>

### getAllSearchRequests

- getAllSearchRequests(): Promise<Array<SearchRequest>>

- - Defined in repository/search/SearchRequestRepository.ts:13

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestByOwner

- getSearchRequestByOwner(owner: string): Promise<Array<SearchRequest>>

- - Defined in repository/search/SearchRequestRepository.ts:11

  #### Parameters

  - ##### owner: string

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestByOwnerAndId

- getSearchRequestByOwnerAndId(owner: string, id: number): Promise<Array<SearchRequest>>

- - Defined in repository/search/SearchRequestRepository.ts:9

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<Array<SearchRequest>>

Generated using TypeDoc